Fedora iTOps Tube

Wednesday, May 9, 2012

"Energy Saving Settings" on F17 KDE broken since upgrade

came across this issue just today, suspend and profiles work, but whenever i press the power button it just shuts down, even when i have set the "prompt log out dialog" option for that, already tried some things like unset/set options again to no avail.



also should say that is not a "clean" shutdown, it just kills all programs running and shuts down.



was working on f16 before upgrade.




Can't Install RPMFusion Repositories

Good day all:



After several weeks now, I've been trying to install RPMFusion-free and non-free repositories with no success at all.



I've read many of the forum threads and "googled" for a viable solution and still can't find a proper solution to this issue.



Without this repository, I can't install VLC and many other codecs and apps that I really need.

So far, this is the error I'm getting:




Quote:









[root@Y-PC Downloads]# sudo yum localinstall --nogpgcheck http//download1-rpmfusion-org/free/fedora/rpmfusion-free-release-stable-noarch.rpm http//download1-rpmfusion-org/nonfree/fedora/rpmfusion-nonfree-release-stable-noarch.rpm

Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit

Cannot open: http//download1-rpmfusion-org/free/fedora/rpmfusion-free-release-stable-noarch.rpm. Skipping.

Cannot open: http//download1.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-stable.noarch.rpm. Skipping.

Nothing to do




Even if I download the repository directly to my PC and run "yum localinstall", this is what I get:




Quote:









[root@Y-PC Downloads]# yum localinstall rpmfusion-free-release-stable.noarch.rpm

Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit

Examining rpmfusion-free-release-stable.noarch.rpm: rpmfusion-free-release-15-5.noarch

Marking rpmfusion-free-release-stable.noarch.rpm to be installed

Resolving Dependencies

--> Running transaction check

---> Package rpmfusion-free-release.noarch 0:15-5 will be installed

--> Finished Dependency Resolution



Dependencies Resolved



================================================== ==============================

Package Arch Version

Repository Size

================================================== ==============================

Installing:

rpmfusion-free-release noarch 15-5 /rpmfusion-free-release-stable.noarch 12 k



Transaction Summary

================================================== ==============================

Install 1 Package



Total size: 12 k

Installed size: 12 k

Is this ok [y/N]: y

Downloading Packages:

Running Transaction Check

Running Transaction Test

Transaction Test Succeeded

Running Transaction

Installing : rpmfusion-free-release-15-5.noarch 1/1

Verifying : rpmfusion-free-release-15-5.noarch 1/1



Installed:

rpmfusion-free-release.noarch 0:15-5



Complete!




Everything seems to be nice and dandy from here, but...




Quote:









[root@Y-PC Downloads]# yum update

Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit

Loading mirror speeds from cached hostfile

Could not retrieve mirrorlist http//mirrors-rpmfusion-org/mirrorlist?repo=free-fedora-16&arch=x86_64 error was

14: curl#6 - "Couldn't resolve host"

Error: Cannot find a valid baseurl for repo: rpmfusion-free




In order to get updates as I used before, I have to disable this repo.



I'm really clueless about this issue. I've even reported this incident 2 weeks on a different thread and didn't got a reply.



Hope someone can guide/help me with this particular problem.



Thanks in advance.





P.S: I had to edit the URLs due to some restrictions on the number of links allowed to post




CHMOD folder

Im installing PLIGG and at the installation wizard i got this alert




Quote:









/cache/templates_c/ is not writable!

Please chmod this directory to 777





Quote:









/cache/ is not writable!

Please chmod this directory to 777




so i went to cache/ folder and typed this cmd

#chmod -R 777 cache/

#ls-l

#drwxrwxrwx. 4 root root 4096 May 4 16:26 cache



then went inside cache/

#chmod -R 777 templates_c/

#ls-l

#drwxrwxrwx. 2 root root 4096 May 4 16:26 templates_c



after doing all the above im still getting the alert,

im quite stuck here. pls guide me :)




Can I Install Grub, and Delete Grub2?

I had Yumex up today, and noticed the old bootloader grub in there, and efi grub. Can one of these be installed in Fedora 17, in favor of grub 2? Or is that a no no?




Open Office in FC16

Dear Everybody,

I recently installed fc16 from the live boot cd, I have been using fedora for many years now. the office suite was not installed by the live cd. I downloaded the OpenOffice.org suite and installed it. All went fine but now it neither shows in applications nor in the office applications tab. Pl help





Regards Sameer:(




nVidia drivers, mode setting and graphics...

At a LONG last I was able to get Fedora 16 running on my Mac 7,1.



Everything works alright, provided the right drivers are in place (WL for the Broadcom WLAN). Everything except for the graphics, once the nVidia drivers are installed. Since I boot with the EFI Stub, I am still learning about how to properly configure the boot process.



Once the drivers are installed, I can boot in single user or text mode just fine, alas, with modesetting still active, which, AFAIK is what causes the nvidida driver hiccups to start X, so I was wondering how to effectively turn modesetting off?



Parsing the rdblacklist=nouveau and modset=0 to the kenel through the refind_linux.conf doesn't seem to do the trick. I'm not sure if the initramfs image is actually stripped from the nouveau, however lspci -vv in single user mode lists 'nvidia' as the currently used driver, and both nvidia and nouveau as the available kernel modules.



In the mean time, I'll keep searching and reading...




Network Manager Not Working

I've just installed 3.3.4 kernel with kmod-staging on my laptop in order to get my rtl8187se wireless card to work. Now it will detect networks, but on networks with WEP protection it shows 2 password prompts, one in a translucent gnome 3 scheme and the other in a fall back white. The black one will allow the full password to be entered but then closes and won't connect, and the white one will allow a connection but only if the password is less than 5 digits as it won't allow anymore to be entered. any help with this would be much appreiated.




VNC Help for newbie

Hello All,



Am noob so please take it easy :)



Have decided to take the plunge and go with Linux and chose Fedora 16.



Have dual booted Fedora 16 with Windows 7.



Have installed TigerVNC client on Fedora and can access it by my laptop throught TightVNC.



Connects fine and can access desktop and applications but the keyboard characters are wrong and are always in CAPITALS.???



For example. when I press the .(Full Stop) character on my laptop, the > (greater than) symbol appears on Fedora remote desktop.



Is there some configuration file I need to change??



Thankyou for you future help and advice..



Cheers.



Squog..




Block a specific instalation on yum/yumex. There's how do this?

Hello pals. My soundboard don't works very well with pulse audio. But, every update I should take care that pulse-audio wont be installed again



there's some way of block pulseaudio of been installed?



It annoys me, cause sometimes I'll listen music and, there's again PE. unistall, reboot, and starts again untill next update




Open Office in FC16

Dear Everybody,

I recently installed fc16 from the live boot cd, I have been using fedora for many years now. the office suite was not installed by the live cd. I downloaded the OpenOffice.org suite and installed it. All went fine but now it neither shows in applications nor in the office applications tab. Pl help





Regards Sameer:(




creat a group in repo

i have downloaded some rpm packages in below directories:


Code:


/home/ali/yum/Design-Suite

/home/ali/yum/Electronic-Lab

/home/ali/yum/Engineering-and-Scientific

/home/ali/yum/Hardware-Support

/home/ali/yum/Sound-and-Video


now,i nedd to create a repo,adding them in a same directory such:


Code:


/home/ali/yum/myrepo

and using


Code:


creatrepo

but i need to see the packages in groups that i have downloaded them in the their own directoy -after creating repo-,like:

Sound-and-Video

Hardware-Support

Design-Suite

Electronic-Lab

and etc

how can i add and introduce this groups and their packages to "creatrepo"?




CHMOD folder

Im installing PLIGG and at the installation wizard i got this alert




Quote:









/cache/templates_c/ is not writable!

Please chmod this directory to 777





Quote:









/cache/ is not writable!

Please chmod this directory to 777




so i went to cache/ folder and typed this cmd

#chmod -R 777 cache/

#ls-l

#drwxrwxrwx. 4 root root 4096 May 4 16:26 cache



then went inside cache/

#chmod -R 777 templates_c/

#ls-l

#drwxrwxrwx. 2 root root 4096 May 4 16:26 templates_c



after doing all the above im still getting the alert,

im quite stuck here. pls guide me :)




Can I Install Grub, and Delete Grub2?

I had Yumex up today, and noticed the old bootloader grub in there, and efi grub. Can one of these be installed in Fedora 17, in favor of grub 2? Or is that a no no?




Gnome 3 , F16 issue

Ok, I upgraded from F15 to F16 which was a nightmare but finally I can login etc. Problem is now gnome doesn't seem to load new features properly. I have the old gnome2 style drop down menus rather the gnome 3 desktop options like the app drawer and side dock. Any help with how to get gnome working and up to date would be great. When I run gnome-session --version I get back gnome 3.2.1. I also had to uninstall caribou after updating but have since reinstalled the proper version. Thanks in advance.




Block a specific instalation on yum/yumex. There's how do this?

Hello pals. My soundboard don't works very well with pulse audio. But, every update I should take care that pulse-audio wont be installed again



there's some way of block pulseaudio of been installed?



It annoys me, cause sometimes I'll listen music and, there's again PE. unistall, reboot, and starts again untill next update




Boot is not going past a certain point

Apologies I haven't used Fedora in some time so I have forgotten some of the basics.



When I boot up, my system (F16) it hangs at a certain point (see attached image). It was there for 5 minutes before I pressed ctrl-alt-del and it started the shutdown process. This leads me to believe there is something going wrong with a service.



Unfortunately I notice that /var/log/boot.log is empty so I can't provide that.



What I probably should mention is that I updated this from f15. while there are still some f15 files leftover, they don't strike me as being critical system files during startup - http://pastebin.com/FvQNts5Z









Attached Thumbnails


Click image for larger version<br /> <br /> Name:	IMAG0016-1.jpg<br /> Views:	N/A<br /> Size:	149,4 KB<br /> ID:	23046
 















nVidia drivers, mode setting and graphics...

At a LONG last I was able to get Fedora 16 running on my Mac 7,1.



Everything works alright, provided the right drivers are in place (WL for the Broadcom WLAN). Everything except for the graphics, once the nVidia drivers are installed. Since I boot with the EFI Stub, I am still learning about how to properly configure the boot process.



Once the drivers are installed, I can boot in single user or text mode just fine, alas, with modesetting still active, which, AFAIK is what causes the nvidida driver hiccups to start X, so I was wondering how to effectively turn modesetting off?



Parsing the rdblacklist=nouveau and modset=0 to the kenel through the refind_linux.conf doesn't seem to do the trick. I'm not sure if the initramfs image is actually stripped from the nouveau, however lspci -vv in single user mode lists 'nvidia' as the currently used driver, and both nvidia and nouveau as the available kernel modules.



In the mean time, I'll keep searching and reading...




Network Manager Not Working

I've just installed 3.3.4 kernel with kmod-staging on my laptop in order to get my rtl8187se wireless card to work. Now it will detect networks, but on networks with WEP protection it shows 2 password prompts, one in a translucent gnome 3 scheme and the other in a fall back white. The black one will allow the full password to be entered but then closes and won't connect, and the white one will allow a connection but only if the password is less than 5 digits as it won't allow anymore to be entered. any help with this would be much appreiated.




Deleted Login Program? (I think)

Pretty sure I goofed up fairly bad. I was uninstalling some unneeded software through the command line, accidentally threw in a wildcard modifer when specifying the package, and now I don't have the ability to login. I'm assuming the package that handled logging into the system is gone, though I don't really know. I attempted a reinstall off of a live USB, but for whatever reason, my netbook won't boot from it, even after changing the boot order in the BIOS. It says "Reinsert media with valid live image" or something similar, I'd have to look again.



My question is, how can I either make my live USB work to reinstall, or how can I access say, the command line or something to repair my damage? If the latter solution is proposed, which commands should I use? I'm rather unfamiliar with the inner workings of a Linux kernel and how to fix things.



Any help would be great, thanks.




Mobile Broadband not good in F17

Plugging my mobile phone into my netbook was a dream under F16 - after setting up the APN, my mobile used to connect and stay connected for hours. Now I'm lucky if it stays connected for more than 5 minutes.

My phone has not changed and the signal strength is great. Fedora 17 drops the connection and if I look in Network Manager after the dropout - mobile broadband does not appear to be an option. I can only reconnect if I unplug the USB cable and re-attach.

I can't believe its a Kernel issue as I was able to use this with 3.3 under F16. Any ideas?



Cheers,

Mark




Fedora 16 - Installing ATI drivers for a ATI Radeon 2600 Pro AGP

I am aware of the thousands of posts concerning..ATI in general when it comes to Linux. I thought i would try to get some localized help with this one. Regardless of ANY ATI driver I install whether it be proprietary or opensource it does not work or I lose some functionality.



Here is my system setup..currently till i can afford a real computer:

ASUS A7N8X - System Board

ATI Radeon HD 2600 Pro AGP

eMachines 17F3 Monitor



On install i have to add acpi=off and nomodeset to the grub line just for the LiveCD to work, after updating, all works with the exception of 3D support (obviously due to mesa, which also drops the resolution i prefer which is 1280x1024)





I installed the Catalyst drivers but getting a kernel compile error in the fglrx log file created and the kernel-devel is installed, i even went so far as to add the radeon/radeonhd to the blacklist file and made sure radeon.modeset=0 was also in the grub line.



On one occastion i was able to get in the desktop but had massive performance issues, even added the swcursor false option to the xorg.conf (which really threw me off in the newer version of fedora with the xorg.conf files missing but only to find them in the xorg.conf.d folder).

Ii tried to verify glxgears but get errors about core dump or module not installed. I ran the uninstall script and reinstalled mesa drivers and glxgears works again but still stuck where i started.



I installed the xorg-x11-drv-catalyst drivers, but these cause a new issue where it just shows the loading bar for Fedora 16.

Needless to say, i removed those drivers as well and now back to mesa. I am @ loss, i have gone thru a log of forums/help files and what not, and asside from trying my hand and building a new xorg.conf file, which i am still a n00b to linux but want to learn.



I know a lot of answers have been live with it or buy a nvidia card. Granted that will be in the future once i can actually afford a new computer that is no longer on AGP, i would like to at least use this one till that time comes. Any help would be appreciated and any log files that would be needed i can do my best to get..provided i have not killed the shell/kernel :D Thank you in advance.




[SOLVED] Generic icons in Gnome 3

Hi everyone,



Got a strange problem, Gnome 3 is showing the generic purple cogwheel icon for a bunch of apps I've installed from Yum. Fresh install of Fedora 16 x86_64, fully updated.



Among the icons missing:
  • OpenJDK tools

  • iBus Hangul Preferences

  • LibreOffice apps

  • gnome-tweak-tool

  • qt-config



Curiously, the icon for SeaMonkey works, which I installed after the fact!



I looked in the /usr/share/pixmap and /usr/share/icons folders and all the icons for those applications are there.



Googling the problem, most people seem to recommend rebooting and running these commands, but they didn't do anything.




Code:


# gtk-update-icon-cache /usr/share/icons/gnome

# gtk-update-icon-cache /usr/share/icons/hicolor


Any ideas what may be causing this?









Attached Thumbnails


Click image for larger version<br /> <br /> Name:	missing-icons.jpg<br /> Views:	N/A<br /> Size:	78,9 KB<br /> ID:	23048
 















XFCE auto login fedora 16

Greetings!



I cannot seem to find information on how to set up the Xfce gui for auto login. I have tried a couple of edits in the /etc/gdm/custom.conf, but so far no luck.



Perhaps someone here will share the secret of how to set up auto login.



~jiangshi




Micron Announces Its First Fully Functional DDR4 DRAM Module


Quote:









Volume Production to Begin This Year



BOISE, Idaho, May 7, 2012 (GLOBE NEWSWIRE) -- Micron Technology, Inc. (Nasdaq:MU), one of the world's leading providers of advanced semiconductor solutions, today announced development of its first fully functional DDR4 DRAM module. The company has begun sampling and has received feedback from major customers to support quick implementation for applications in 2013.



It is expected that the enterprise and micro-server markets will take full advantage of the new features and specifications designed into DDR4, accelerating early adoption of the technology. In addition, the fast-growing ultrathin client and tablet markets will also benefit from new opportunities enabled by the power savings and performance features of Micron's DDR4.



Codeveloped by Nanya and based on Micron's 30-nanometer (nm) technology, the 4-gigabit (Gb) DDR4 x8 part is the first piece of what is expected to be the industry's most complete portfolio of DDR4-based modules, which will include RDIMMs, LRDIMMs, 3DS, SODIMMs and UDIMMs (standard and ECC). For the soldered down space, x8, x16, and x32 components will also be available, with initial speeds up to 2400 megatransfers per second (MT/s), increasing to the JEDEC-defined 3200 MT/s.



"With the JEDEC definition for DDR4 very near finalization, we've put significant effort into ensuring that our first DDR4 product is as JEDEC-compatible as it can be at this final stage of its development," said Brian Shirley, vice president for Micron's DRAM Solutions Group. "We've provided samples to key partners in the market place with confidence that the die we give them now is the same die we will take into mass production."



As JEDEC finalizes the DDR4 specifications, Micron is positioned to quickly become fully compliant with its 30nm 4Gb DDR4 part. Full sampling to key partners began earlier this year and volume production is planned for 4Q12.



Relevant Links




http://investors.micron.com/released...leaseID=670776




I want to downgrade flash-plugin

Flash plugin flash-plugin-11.2.202.233-release.x86_64

is just completely worthless with Firefox 16:



Loading a new tab crashes a flash in another tab

playing videos quit for no reason (window goes gray)

sometimes even loading an app unrelated to Firefox or flash will crash flash





I tried to downgrade it to the previous one but I don't think the flash repo has anything but the newest one. Is there a place to get the previous flash plugins?



UPDATE: noticed another post that says to remove any nspluginwrapper packages (have the 64bit flash and 64bit OS so nspluginwrapper is unneeded anyway).

I had both the i686 and the 64bit nspluginwrapper so I've removed both. I'll see if it helps.




This weeks vulnerabilities and vunderborks.





Fedora/Gnome on Tablet?

I'm thinking of getting either an ASUS tablet or a Xoom (my GF has the Xoom, I love it. But the specs on the ASUS are yummy. Galaxy is nice but the power button SUCKS, Sony looks good but I wont buy their products, I used to sell them I know they have a "our products dont break, clearly YOU broke it, buy anotherone!" attitude, and iPad? sure I'll pay a 80% markup for a name alone.. riiiight...)



Anyways, I know Android OS is Linux based, and I know that you can "root" android tablets, and there are different OS mods like cyanogenmod (or something like that). BUT what I want to know is..



CAN I root an android tablet and install a FULL desktop Linux OS, such as Fedora with Gnome3.4?



I mean, the device is Linux, so its using android drivers. While Fedora may not technically have the drivers, I'm sure there might be a way to get fedora to load them. I think the Gnome3.4 interface is perfect for tablets. Just add a few buttons as a widget (like cairo dock, but tablet functions) and BAM, great system.



Has anyone tried this before? Does it work? Is there a "how to" guide somewhere? I mean, the current tablets out there have better specs than some netbooks i've seen. If a shitty HP netbook can run Gnome and Unity, surely a tablet can???



I posted this here because I dont think there is anywhere else for this thread to go...




vsftpd can log in as anonymous but not as a user

I can log in as anonymous but not as a user. My config file does have

pam_service_name=vsftpd local_enable=YES -- I also have a file in /etc/pam.d/vsftpd



I guess firewall is okay since anonymous works? I never see any messages in '/var/log/secure'

from pam when I try to login.



---------- Post added at 08:12 PM ---------- Previous post was at 08:08 PM ----------



https://fedoraproject.org/wiki/Common_F16_bugs



Oh wait, never mind. I found the issue in common bugs.




Reversing Kernel Levels

Hi

Can one remove everything with respect to a certain Kernel (including the kernel itself) and all package upgrades that have been done with it. Essentially reversing everything to a prior Kernel level ie. from 3.3.2-6 to 3.3.2-1, as an example.

Thanks for any assistance you can provide...




Parallel programming

Hi i am using Fedora 14....While executing parallel programs in C i am getting segmentation fault error when i give the array size more than 700000...I am not able to understand the problem please help me out and give solution.





HELP ME